org.codehaus.plexus.component.discovery

## Interface ComponentDiscoverer

All Known Implementing Classes:
  AbstractComponentDiscoverer, DefaultComponentDiscoverer, PlexusXmlComponentDiscoverer

    public interface ComponentDiscoverer

Version:
  $Id: ComponentDiscoverer.java 1750 2005-04-19 07:45:02Z brett $
Author:
  Jason van Zyl

### Field Summary

Fields
`static String` `ROLE`

### Method Summary

Methods
`List` `findComponents(Context context, ClassRealm classRealm)`
`void` `setManager(ComponentDiscovererManager manager)`

### Field Detail

#### ROLE

    static final String ROLE

### Method Detail

#### setManager

    void setManager(ComponentDiscovererManager manager)

#### findComponents

    List findComponents(Context context,
                      ClassRealm classRealm)
                        throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`